cascading.flow.planner.graph

## Enum Extent

- java.lang.Object
- - java.lang.Enum<Extent>
  - - cascading.flow.planner.graph.Extent

- All Implemented Interfaces:
    FlowElement, Serializable, Comparable<Extent>

      public enum Extent
      extends Enum<Extent>
      implements FlowElement

  Enum Extent provides simple markers for the head and tail of an `ElementGraph` `FlowElement` graph.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `head`
    `tail`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static Extent` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Extent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### head

          public static final Extent head

    - #### tail

          public static final Extent tail

  - ### Method Detail

    - #### values

          public static Extent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Extent c : Extent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Extent valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Extent>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.